package edu.mermet.tp8;


public class NiveauUtisateur {

	public static final int debutNiveau = 10;
	private int niveau;

	
	public NiveauUtisateur() {
		this(debutNiveau);
	}


	public NiveauUtisateur(String niveau) {
		try {
			setNiveau(Integer.parseInt(niveau));
			log("Niveau chargé : "+niveau);
		} catch(NumberFormatException | NullPointerException e) {
			log("format non valide un integer ("+ niveau +"), le niveau est mis à "+debutNiveau);
			setNiveau(debutNiveau);
		}
	}

	

	public void add(int Aniveau, int somme) {
		if(getNiveau() < somme) {
			add(Aniveau);
		}
	}
	
	@Override
	public String toString() {
		return Double.toString(niveau);
	}


	public void log(String msg) {
		System.out.println("NiveauUtisateur :: "+msg);
	}
	public NiveauUtisateur(int niveau) {
    setNiveau(niveau);
  }


  public int getNiveau() {
    return niveau;
  }

  public void setNiveau(int niveau) {
    this.niveau = niveau;
  }

  public void add(int aNiveau) {
    setNiveau(aNiveau+getNiveau());
  }

}
